<?php
 
 
 

namespace PhpWA\Protocol\Proto\HydratedTemplateButton\HydratedURLButton;

use UnexpectedValueException;




class WebviewPresentationType
{
    


    const WEBVIEW_PRESENTATION_TYPE_UNSPECIFIED = 0;
    


    const FULL = 1;
    


    const TALL = 2;
    


    const COMPACT = 3;

    private static $valueToName = [
        self::WEBVIEW_PRESENTATION_TYPE_UNSPECIFIED => 'WEBVIEW_PRESENTATION_TYPE_UNSPECIFIED',
        self::FULL => 'FULL',
        self::TALL => 'TALL',
        self::COMPACT => 'COMPACT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

